Index: /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm
===================================================================
--- /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50158)
+++ /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50159)
@@ -4470,16 +4506,16 @@
     mov dl, al                                ; 88 c2
     xor ax, ax                                ; 31 c0
-    jmp short 03604h                          ; eb 06
+    jmp short 03623h                          ; eb 06
     inc ax                                    ; 40
     cmp ax, strict word 00007h                ; 3d 07 00
-    jnc short 0361bh                          ; 73 17
+    jnc short 0363ah                          ; 73 17
     mov bx, ax                                ; 89 c3
     add bx, ax                                ; 01 c3
     cmp dl, byte [word bx+0005bh]             ; 3a 97 5b 00
-    jne short 035feh                          ; 75 f0
+    jne short 0361dh                          ; 75 f0
     movzx ax, byte [word bx+0005ch]           ; 0f b6 87 5c 00
     imul ax, ax, strict byte 0000dh           ; 6b c0 0d
     add ax, strict word 00000h                ; 05 00 00
-    jmp short 0361eh                          ; eb 03
+    jmp short 0363dh                          ; eb 03
     mov ax, strict word 00041h                ; b8 41 00
     pop bp                                    ; 5d
@@ -4487,5 +4523,5 @@
     pop bx                                    ; 5b
     retn                                      ; c3
-dummy_soft_reset_:                           ; 0xf3622 LB 0x7
+dummy_soft_reset_:                           ; 0xf3641 LB 0x7
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -4493,39 +4529,39 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-_cdemu_init:                                 ; 0xf3629 LB 0x18
+_cdemu_init:                                 ; 0xf3648 LB 0x18
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 e7 df
+    call 0161ch                               ; e8 c8 df
     xor bx, bx                                ; 31 db
     mov dx, 00322h                            ; ba 22 03
-    call 0160eh                               ; e8 d1 df
+    call 0160eh                               ; e8 b2 df
     mov sp, bp                                ; 89 ec
     pop bp                                    ; 5d
     retn                                      ; c3
-_cdemu_isactive:                             ; 0xf3641 LB 0x16
+_cdemu_isactive:                             ; 0xf3660 LB 0x16
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 cf df
+    call 0161ch                               ; e8 b0 df
     mov dx, 00322h                            ; ba 22 03
-    call 01600h                               ; e8 ad df
+    call 01600h                               ; e8 8e df
     mov sp, bp                                ; 89 ec
     pop bp                                    ; 5d
     retn                                      ; c3
-_cdemu_emulated_drive:                       ; 0xf3657 LB 0x16
+_cdemu_emulated_drive:                       ; 0xf3676 LB 0x16
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 b9 df
+    call 0161ch                               ; e8 9a df
     mov dx, 00324h                            ; ba 24 03
-    call 01600h                               ; e8 97 df
+    call 01600h                               ; e8 78 df
     mov sp, bp                                ; 89 ec
     pop bp                                    ; 5d
     retn                                      ; c3
-_int13_eltorito:                             ; 0xf366d LB 0x189
+_int13_eltorito:                             ; 0xf368c LB 0x189
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -4534,5 +4570,5 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 a1 df
+    call 0161ch                               ; e8 82 df
     mov si, 00322h                            ; be 22 03
     mov di, ax                                ; 89 c7
@@ -4540,26 +4576,26 @@
     shr ax, 008h                              ; c1 e8 08
     cmp ax, strict word 0004bh                ; 3d 4b 00
-    jc short 03695h                           ; 72 0a
-    jbe short 036bbh                          ; 76 2e
+    jc short 036b4h                           ; 72 0a
+    jbe short 036dah                          ; 76 2e
     cmp ax, strict word 0004dh                ; 3d 4d 00
-    jbe short 0369ch                          ; 76 0a
-    jmp near 037bah                           ; e9 25 01
+    jbe short 036bbh                          ; 76 0a
+    jmp near 037d9h                           ; e9 25 01
     cmp ax, strict word 0004ah                ; 3d 4a 00
-    jne near 037bah                           ; 0f 85 1e 01
-    mov bx, 00da6h                            ; bb a6 0d
+    jne near 037d9h                           ; 0f 85 1e 01
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 25 e2
+    call 018e1h                               ; e8 1b e2
     push word [bp+016h]                       ; ff 76 16
     push 002dch                               ; 68 dc 02
     push 002ebh                               ; 68 eb 02
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 58 e2
+    call 01922h                               ; e8 4e e2
     add sp, strict byte 00008h                ; 83 c4 08
-    jmp near 037d5h                           ; e9 1a 01
+    jmp near 037f4h                           ; e9 1a 01
     mov dx, word [bp+00ah]                    ; 8b 56 0a
     mov ax, word [bp+004h]                    ; 8b 46 04
     mov bx, strict word 00013h                ; bb 13 00
-    call 0160eh                               ; e8 47 df
+    call 0160eh                               ; e8 28 df
     mov es, di                                ; 8e c7
     movzx bx, byte [es:si+001h]               ; 26 0f b6 5c 01
@@ -4567,5 +4603,5 @@
     inc dx                                    ; 42
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0160eh                               ; e8 36 df
+    call 0160eh                               ; e8 17 df
     mov es, di                                ; 8e c7
     movzx bx, byte [es:si+002h]               ; 26 0f b6 5c 02
@@ -4574,5 +4610,5 @@
     inc dx                                    ; 42
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0160eh                               ; e8 24 df
+    call 0160eh                               ; e8 05 df
     mov es, di                                ; 8e c7
     movzx bx, byte [es:si+003h]               ; 26 0f b6 5c 03
@@ -4580,5 +4616,5 @@
     add dx, strict byte 00003h                ; 83 c2 03
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0160eh                               ; e8 11 df
+    call 0160eh                               ; e8 f2 de
     mov es, di                                ; 8e c7
     mov bx, word [es:si+008h]                 ; 26 8b 5c 08
@@ -4587,5 +4623,5 @@
     add dx, strict byte 00004h                ; 83 c2 04
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0164ah                               ; e8 37 df
+    call 0164ah                               ; e8 18 df
     mov es, di                                ; 8e c7
     mov bx, word [es:si+004h]                 ; 26 8b 5c 04
@@ -4593,5 +4629,5 @@
     add dx, strict byte 00008h                ; 83 c2 08
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0162ah                               ; e8 05 df
+    call 0162ah                               ; e8 e6 de
     mov es, di                                ; 8e c7
     mov bx, word [es:si+006h]                 ; 26 8b 5c 06
@@ -4599,5 +4635,5 @@
     add dx, strict byte 0000ah                ; 83 c2 0a
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0162ah                               ; e8 f3 de
+    call 0162ah                               ; e8 d4 de
     mov es, di                                ; 8e c7
     mov bx, word [es:si+00ch]                 ; 26 8b 5c 0c
@@ -4605,5 +4641,5 @@
     add dx, strict byte 0000ch                ; 83 c2 0c
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0162ah                               ; e8 e1 de
+    call 0162ah                               ; e8 c2 de
     mov es, di                                ; 8e c7
     mov bx, word [es:si+00eh]                 ; 26 8b 5c 0e
@@ -4611,5 +4647,5 @@
     add dx, strict byte 0000eh                ; 83 c2 0e
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0162ah                               ; e8 cf de
+    call 0162ah                               ; e8 b0 de
     mov es, di                                ; 8e c7
     movzx bx, byte [es:si+012h]               ; 26 0f b6 5c 12
@@ -4617,5 +4653,5 @@
     add dx, strict byte 00010h                ; 83 c2 10
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0160eh                               ; e8 a0 de
+    call 0160eh                               ; e8 81 de
     mov es, di                                ; 8e c7
     movzx bx, byte [es:si+014h]               ; 26 0f b6 5c 14
@@ -4623,5 +4659,5 @@
     add dx, strict byte 00011h                ; 83 c2 11
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0160eh                               ; e8 8d de
+    call 0160eh                               ; e8 6e de
     mov es, di                                ; 8e c7
     movzx bx, byte [es:si+010h]               ; 26 0f b6 5c 10
@@ -4629,7 +4665,7 @@
     add dx, strict byte 00012h                ; 83 c2 12
     mov ax, word [bp+004h]                    ; 8b 46 04
-    call 0160eh                               ; e8 7a de
+    call 0160eh                               ; e8 5b de
     test byte [bp+016h], 0ffh                 ; f6 46 16 ff
-    jne short 037a0h                          ; 75 06
+    jne short 037bfh                          ; 75 06
     mov es, di                                ; 8e c7
     mov byte [es:si], 000h                    ; 26 c6 04 00
@@ -4638,5 +4674,5 @@
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 5f de
+    call 0160eh                               ; e8 40 de
     and byte [bp+01ch], 0feh                  ; 80 66 1c fe
     lea sp, [bp-004h]                         ; 8d 66 fc
@@ -4645,8 +4681,8 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-    mov bx, 00da6h                            ; bb a6 0d
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 07 e1
+    call 018e1h                               ; e8 fd e0
     mov ax, word [bp+016h]                    ; 8b 46 16
     shr ax, 008h                              ; c1 e8 08
@@ -4654,5 +4690,5 @@
     push 002dch                               ; 68 dc 02
     push 00313h                               ; 68 13 03
-    jmp near 036b0h                           ; e9 db fe
+    jmp near 036cfh                           ; e9 db fe
     mov ax, word [bp+016h]                    ; 8b 46 16
     xor ah, ah                                ; 30 e4
@@ -4664,8 +4700,8 @@
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 1e de
+    call 0160eh                               ; e8 ff dd
     or byte [bp+01ch], 001h                   ; 80 4e 1c 01
-    jmp short 037b3h                          ; eb bd
-device_is_cdrom_:                            ; 0xf37f6 LB 0x35
+    jmp short 037d2h                          ; eb bd
+device_is_cdrom_:                            ; 0xf3815 LB 0x35
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -4675,9 +4711,9 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 16 de
+    call 0161ch                               ; e8 f7 dd
     cmp bl, 010h                              ; 80 fb 10
-    jc short 0380fh                           ; 72 04
+    jc short 0382eh                           ; 72 04
     xor ax, ax                                ; 31 c0
-    jmp short 03824h                          ; eb 15
+    jmp short 03843h                          ; eb 15
     xor bh, bh                                ; 30 ff
     imul bx, bx, strict byte 00018h           ; 6b db 18
@@ -4685,5 +4721,5 @@
     add bx, 00122h                            ; 81 c3 22 01
     cmp byte [es:bx+01fh], 005h               ; 26 80 7f 1f 05
-    jne short 0380bh                          ; 75 ea
+    jne short 0382ah                          ; 75 ea
     mov ax, strict word 00001h                ; b8 01 00
     lea sp, [bp-004h]                         ; 8d 66 fc
@@ -4692,5 +4728,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-cdrom_boot_:                                 ; 0xf382b LB 0x416
+cdrom_boot_:                                 ; 0xf384a LB 0x416
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -4703,5 +4739,5 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 dc dd
+    call 0161ch                               ; e8 bd dd
     mov word [bp-018h], ax                    ; 89 46 e8
     mov si, 00322h                            ; be 22 03
@@ -4710,21 +4746,21 @@
     mov word [bp-012h], ax                    ; 89 46 ee
     mov byte [bp-00ch], 000h                  ; c6 46 f4 00
-    jmp short 03860h                          ; eb 09
+    jmp short 0387fh                          ; eb 09
     inc byte [bp-00ch]                        ; fe 46 f4
     cmp byte [bp-00ch], 010h                  ; 80 7e f4 10
-    jnc short 0386bh                          ; 73 0b
+    jnc short 0388ah                          ; 73 0b
     movzx ax, byte [bp-00ch]                  ; 0f b6 46 f4
-    call 037f6h                               ; e8 8f ff
+    call 03815h                               ; e8 8f ff
     test ax, ax                               ; 85 c0
-    je short 03857h                           ; 74 ec
+    je short 03876h                           ; 74 ec
     cmp byte [bp-00ch], 010h                  ; 80 7e f4 10
-    jc short 03877h                           ; 72 06
+    jc short 03896h                           ; 72 06
     mov ax, strict word 00002h                ; b8 02 00
-    jmp near 03bdeh                           ; e9 67 03
+    jmp near 03bfdh                           ; e9 67 03
     mov cx, strict word 0000ch                ; b9 0c 00
     xor bx, bx                                ; 31 db
     mov dx, ss                                ; 8c d2
     lea ax, [bp-026h]                         ; 8d 46 da
-    call 0924ah                               ; e8 c6 59
+    call 0946ah                               ; e8 c7 5b
     mov word [bp-026h], strict word 00028h    ; c7 46 da 28 00
     mov ax, strict word 00011h                ; b8 11 00
@@ -4742,8 +4778,8 @@
     ; mov dword [es:bx+00ah], strict dword 008000001h ; 66 26 c7 47 0a 01 00 00 08
     mov byte [bp-00eh], 000h                  ; c6 46 f2 00
-    jmp short 038bch                          ; eb 09
+    jmp short 038dbh                          ; eb 09
     inc byte [bp-00eh]                        ; fe 46 f2
     cmp byte [bp-00eh], 004h                  ; 80 7e f2 04
-    jnbe short 038f3h                         ; 77 37
+    jnbe short 03912h                         ; 77 37
     movzx di, byte [bp-00ch]                  ; 0f b6 7e f4
     imul di, di, strict byte 00018h           ; 6b ff 18
@@ -4765,33 +4801,33 @@
     call word [word di+0006ah]                ; ff 95 6a 00
     test ax, ax                               ; 85 c0
-    jne short 038b3h                          ; 75 c0
+    jne short 038d2h                          ; 75 c0
     test ax, ax                               ; 85 c0
-    je short 038fdh                           ; 74 06
+    je short 0391ch                           ; 74 06
     mov ax, strict word 00003h                ; b8 03 00
-    jmp near 03bdeh                           ; e9 e1 02
+    jmp near 03bfdh                           ; e9 e1 02
     cmp byte [bp-00826h], 000h                ; 80 be da f7 00
-    je short 0390ah                           ; 74 06
+    je short 03929h                           ; 74 06
     mov ax, strict word 00004h                ; b8 04 00
-    jmp near 03bdeh                           ; e9 d4 02
+    jmp near 03bfdh                           ; e9 d4 02
     xor di, di                                ; 31 ff
-    jmp short 03914h                          ; eb 06
+    jmp short 03933h                          ; eb 06
     inc di                                    ; 47
     cmp di, strict byte 00005h                ; 83 ff 05
-    jnc short 03924h                          ; 73 10
+    jnc short 03943h                          ; 73 10
     mov al, byte [bp+di-00825h]               ; 8a 83 db f7
-    cmp al, byte [di+00daeh]                  ; 3a 85 ae 0d
-    je short 0390eh                           ; 74 f0
+    cmp al, byte [di+00daah]                  ; 3a 85 aa 0d
+    je short 0392dh                           ; 74 f0
     mov ax, strict word 00005h                ; b8 05 00
-    jmp near 03bdeh                           ; e9 ba 02
+    jmp near 03bfdh                           ; e9 ba 02
     xor di, di                                ; 31 ff
-    jmp short 0392eh                          ; eb 06
+    jmp short 0394dh                          ; eb 06
     inc di                                    ; 47
     cmp di, strict byte 00017h                ; 83 ff 17
-    jnc short 0393eh                          ; 73 10
+    jnc short 0395dh                          ; 73 10
     mov al, byte [bp+di-0081fh]               ; 8a 83 e1 f7
-    cmp al, byte [di+00db4h]                  ; 3a 85 b4 0d
-    je short 03928h                           ; 74 f0
+    cmp al, byte [di+00db0h]                  ; 3a 85 b0 0d
+    je short 03947h                           ; 74 f0
     mov ax, strict word 00006h                ; b8 06 00
-    jmp near 03bdeh                           ; e9 a0 02
+    jmp near 03bfdh                           ; e9 a0 02
     mov ax, word [bp-007dfh]                  ; 8b 86 21 f8
     mov dx, word [bp-007ddh]                  ; 8b 96 23 f8
@@ -4824,36 +4860,36 @@
     call word [word di+0006ah]                ; ff 95 6a 00
     test ax, ax                               ; 85 c0
-    je short 0399bh                           ; 74 06
+    je short 039bah                           ; 74 06
     mov ax, strict word 00007h                ; b8 07 00
-    jmp near 03bdeh                           ; e9 43 02
+    jmp near 03bfdh                           ; e9 43 02
     cmp byte [bp-00826h], 001h                ; 80 be da f7 01
-    je short 039a8h                           ; 74 06
+    je short 039c7h                           ; 74 06
     mov ax, strict word 00008h                ; b8 08 00
-    jmp near 03bdeh                           ; e9 36 02
+    jmp near 03bfdh                           ; e9 36 02
     cmp byte [bp-00825h], 000h                ; 80 be db f7 00
-    je short 039b5h                           ; 74 06
+    je short 039d4h                           ; 74 06
     mov ax, strict word 00009h                ; b8 09 00
-    jmp near 03bdeh                           ; e9 29 02
+    jmp near 03bfdh                           ; e9 29 02
     cmp byte [bp-00808h], 055h                ; 80 be f8 f7 55
-    je short 039c2h                           ; 74 06
+    je short 039e1h                           ; 74 06
     mov ax, strict word 0000ah                ; b8 0a 00
-    jmp near 03bdeh                           ; e9 1c 02
+    jmp near 03bfdh                           ; e9 1c 02
     cmp byte [bp-00807h], 0aah                ; 80 be f9 f7 aa
-    jne short 039bch                          ; 75 f3
+    jne short 039dbh                          ; 75 f3
     cmp byte [bp-00806h], 088h                ; 80 be fa f7 88
-    je short 039d6h                           ; 74 06
+    je short 039f5h                           ; 74 06
     mov ax, strict word 0000bh                ; b8 0b 00
-    jmp near 03bdeh                           ; e9 08 02
+    jmp near 03bfdh                           ; e9 08 02
     mov al, byte [bp-00805h]                  ; 8a 86 fb f7
     mov es, [bp-010h]                         ; 8e 46 f0
     mov byte [es:si+001h], al                 ; 26 88 44 01
     cmp byte [bp-00805h], 000h                ; 80 be fb f7 00
-    jne short 039efh                          ; 75 07
+    jne short 03a0eh                          ; 75 07
     mov byte [es:si+002h], 0e0h               ; 26 c6 44 02 e0
-    jmp short 03a02h                          ; eb 13
+    jmp short 03a21h                          ; eb 13
     cmp byte [bp-00805h], 004h                ; 80 be fb f7 04
-    jnc short 039fdh                          ; 73 07
+    jnc short 03a1ch                          ; 73 07
     mov byte [es:si+002h], 000h               ; 26 c6 44 02 00
-    jmp short 03a02h                          ; eb 05
+    jmp short 03a21h                          ; eb 05
     mov byte [es:si+002h], 080h               ; 26 c6 44 02 80
     movzx di, byte [bp-00ch]                  ; 0f b6 7e f4
@@ -4873,5 +4909,5 @@
     mov word [bp-016h], ax                    ; 89 46 ea
     test ax, ax                               ; 85 c0
-    jne short 03a30h                          ; 75 05
+    jne short 03a4fh                          ; 75 05
     mov word [bp-016h], 007c0h                ; c7 46 ea c0 07
     mov ax, word [bp-016h]                    ; 8b 46 ea
@@ -4882,9 +4918,9 @@
     mov word [es:si+00eh], di                 ; 26 89 7c 0e
     test di, di                               ; 85 ff
-    je short 03a52h                           ; 74 06
+    je short 03a71h                           ; 74 06
     cmp di, 00400h                            ; 81 ff 00 04
-    jbe short 03a58h                          ; 76 06
+    jbe short 03a77h                          ; 76 06
     mov ax, strict word 0000ch                ; b8 0c 00
-    jmp near 03bdeh                           ; e9 86 01
+    jmp near 03bfdh                           ; e9 86 01
     mov ax, word [bp-007feh]                  ; 8b 86 02 f8
     mov dx, word [bp-007fch]                  ; 8b 96 04 f8
@@ -4926,5 +4962,5 @@
     sal ax, 1                                 ; d1 e0
     rcl di, 1                                 ; d1 d7
-    loop 03ac6h                               ; e2 fa
+    loop 03ae5h                               ; e2 fa
     push di                                   ; 57
     push ax                                   ; 50
@@ -4939,33 +4975,33 @@
     mov word [es:bx+01ch], strict word 00000h ; 26 c7 47 1c 00 00
     test ax, ax                               ; 85 c0
-    je short 03af6h                           ; 74 06
+    je short 03b15h                           ; 74 06
     mov ax, strict word 0000dh                ; b8 0d 00
-    jmp near 03bdeh                           ; e9 e8 00
+    jmp near 03bfdh                           ; e9 e8 00
     mov es, [bp-010h]                         ; 8e 46 f0
     mov al, byte [es:si+001h]                 ; 26 8a 44 01
     cmp AL, strict byte 002h                  ; 3c 02
-    jc short 03b0eh                           ; 72 0d
-    jbe short 03b26h                          ; 76 23
+    jc short 03b2dh                           ; 72 0d
+    jbe short 03b45h                          ; 76 23
     cmp AL, strict byte 004h                  ; 3c 04
-    je short 03b3ch                           ; 74 35
+    je short 03b5bh                           ; 74 35
     cmp AL, strict byte 003h                  ; 3c 03
-    je short 03b31h                           ; 74 26
-    jmp near 03b87h                           ; e9 79 00
+    je short 03b50h                           ; 74 26
+    jmp near 03ba6h                           ; e9 79 00
     cmp AL, strict byte 001h                  ; 3c 01
-    jne short 03b87h                          ; 75 75
+    jne short 03ba6h                          ; 75 75
     mov es, [bp-010h]                         ; 8e 46 f0
     db  066h, 026h, 0c7h, 044h, 012h, 050h, 000h, 00fh, 000h
     ; mov dword [es:si+012h], strict dword 0000f0050h ; 66 26 c7 44 12 50 00 0f 00
     mov word [es:si+010h], strict word 00002h ; 26 c7 44 10 02 00
-    jmp short 03b87h                          ; eb 61
+    jmp short 03ba6h                          ; eb 61
     db  066h, 026h, 0c7h, 044h, 012h, 050h, 000h, 012h, 000h
     ; mov dword [es:si+012h], strict dword 000120050h ; 66 26 c7 44 12 50 00 12 00
-    jmp short 03b1eh                          ; eb ed
+    jmp short 03b3dh                          ; eb ed
     db  066h, 026h, 0c7h, 044h, 012h, 050h, 000h, 024h, 000h
     ; mov dword [es:si+012h], strict dword 000240050h ; 66 26 c7 44 12 50 00 24 00
-    jmp short 03b1eh                          ; eb e2
+    jmp short 03b3dh                          ; eb e2
     mov dx, 001c4h                            ; ba c4 01
     mov ax, word [bp-016h]                    ; 8b 46 ea
-    call 01600h                               ; e8 bb da
+    call 01600h                               ; e8 9c da
     and AL, strict byte 03fh                  ; 24 3f
     xor ah, ah                                ; 30 e4
@@ -4974,10 +5010,10 @@
     mov dx, 001c4h                            ; ba c4 01
     mov ax, word [bp-016h]                    ; 8b 46 ea
-    call 01600h                               ; e8 a7 da
+    call 01600h                               ; e8 88 da
     movzx bx, al                              ; 0f b6 d8
     sal bx, 002h                              ; c1 e3 02
     mov dx, 001c5h                            ; ba c5 01
     mov ax, word [bp-016h]                    ; 8b 46 ea
-    call 01600h                               ; e8 98 da
+    call 01600h                               ; e8 79 da
     xor ah, ah                                ; 30 e4
     add ax, bx                                ; 01 d8
@@ -4987,5 +5023,5 @@
     mov dx, 001c3h                            ; ba c3 01
     mov ax, word [bp-016h]                    ; 8b 46 ea
-    call 01600h                               ; e8 83 da
+    call 01600h                               ; e8 64 da
     xor ah, ah                                ; 30 e4
     inc ax                                    ; 40
@@ -4994,18 +5030,18 @@
     mov es, [bp-010h]                         ; 8e 46 f0
     cmp byte [es:si+001h], 000h               ; 26 80 7c 01 00
-    je short 03bc5h                           ; 74 34
+    je short 03be4h                           ; 74 34
     cmp byte [es:si+002h], 000h               ; 26 80 7c 02 00
-    jne short 03baeh                          ; 75 16
+    jne short 03bcdh                          ; 75 16
     mov dx, strict word 00010h                ; ba 10 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 5f da
+    call 01600h                               ; e8 40 da
     or AL, strict byte 041h                   ; 0c 41
     movzx bx, al                              ; 0f b6 d8
     mov dx, strict word 00010h                ; ba 10 00
     mov ax, strict word 00040h                ; b8 40 00
-    jmp short 03bc2h                          ; eb 14
+    jmp short 03be1h                          ; eb 14
     mov dx, 002c0h                            ; ba c0 02
     mov ax, word [bp-018h]                    ; 8b 46 e8
-    call 01600h                               ; e8 49 da
+    call 01600h                               ; e8 2a da
     db  0feh, 0c0h
     ; inc al                                    ; fe c0
@@ -5013,8 +5049,8 @@
     mov dx, 002c0h                            ; ba c0 02
     mov ax, word [bp-018h]                    ; 8b 46 e8
-    call 0160eh                               ; e8 49 da
+    call 0160eh                               ; e8 2a da
     mov es, [bp-010h]                         ; 8e 46 f0
     cmp byte [es:si+001h], 000h               ; 26 80 7c 01 00
-    je short 03bd3h                           ; 74 04
+    je short 03bf2h                           ; 74 04
     mov byte [es:si], 001h                    ; 26 c6 04 01
     mov es, [bp-010h]                         ; 8e 46 f0
@@ -5030,10 +5066,10 @@
     retn                                      ; c3
     db  050h, 04eh, 049h, 048h, 047h, 046h, 045h, 044h, 043h, 042h, 041h, 018h, 016h, 015h, 014h, 011h
-    db  010h, 00dh, 00ch, 00bh, 00ah, 009h, 008h, 005h, 004h, 003h, 002h, 001h, 000h, 0d9h, 03fh, 0e7h
-    db  03ch, 031h, 03dh, 059h, 03dh, 026h, 03dh, 059h, 03dh, 026h, 03dh, 02fh, 03fh, 00ch, 03dh, 0d9h
-    db  03fh, 0d9h, 03fh, 00ch, 03dh, 00ch, 03dh, 00ch, 03dh, 00ch, 03dh, 00ch, 03dh, 0d0h, 03fh, 00ch
-    db  03dh, 0d9h, 03fh, 0d9h, 03fh, 0d9h, 03fh, 0d9h, 03fh, 0d9h, 03fh, 0d9h, 03fh, 0d9h, 03fh, 0d9h
-    db  03fh, 0d9h, 03fh, 0d9h, 03fh, 0d9h, 03fh, 0d9h, 03fh
-_int13_cdemu:                                ; 0xf3c41 LB 0x434
+    db  010h, 00dh, 00ch, 00bh, 00ah, 009h, 008h, 005h, 004h, 003h, 002h, 001h, 000h, 0f8h, 03fh, 006h
+    db  03dh, 050h, 03dh, 078h, 03dh, 045h, 03dh, 078h, 03dh, 045h, 03dh, 04eh, 03fh, 02bh, 03dh, 0f8h
+    db  03fh, 0f8h, 03fh, 02bh, 03dh, 02bh, 03dh, 02bh, 03dh, 02bh, 03dh, 02bh, 03dh, 0efh, 03fh, 02bh
+    db  03dh, 0f8h, 03fh, 0f8h, 03fh, 0f8h, 03fh, 0f8h, 03fh, 0f8h, 03fh, 0f8h, 03fh, 0f8h, 03fh, 0f8h
+    db  03fh, 0f8h, 03fh, 0f8h, 03fh, 0f8h, 03fh, 0f8h, 03fh
+_int13_cdemu:                                ; 0xf3c60 LB 0x434
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -5043,5 +5079,5 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 ca d9
+    call 0161ch                               ; e8 ab d9
     mov di, 00322h                            ; bf 22 03
     mov cx, ax                                ; 89 c1
